@import "font.css";

* {
    border: 0;
    margin: 0;
    padding: 0;
}

html,
body {
    width: 100%;
    height: 100%;
}

[v-cloak] {
    display: none !important;
}

body {
    font-family: "PingFangSC-Regular", "Microsoft YaHei", "Hiragino Sans GB", "Helvetica Neue",
        Helvetica, Arial, SimSun, sans-serif, tahoma, arial, simhei;
    font-size: 12px;
    color: #333;
    padding: 0;
    margin: 0;
    line-height: 200%;
    border: 0;
    text-align: left;
    overflow-x: hidden;
}
select {
    cursor: hand;
    font-size: 12px;
    height: 31px;
    line-height: 31px;
    overflow-y: hidden;
    border: solid 1px #ccc;
    background-color: #fff;
    padding-left: 9px;
}
ul,
li {
    list-style: none;
}

.page_title {
    width: 100%;
    height: 37px;
    line-height: 37px;
    font-weight: bold;
    color: var(--text-color);
    font-size: 14px;
    padding: 0px 2px 0px 10px;
    border-bottom: 1px solid var(--border-color);
}

/* help-start */
.page_title .icon{
	position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    text-align: right;
    font-size: 25px;
}

.page_title .help-icon, .help-icon {
    background: transparent;
    color: var(--basic-color);
    margin-left: 3px;
    position: relative;
    top: -2px;
    font-weight: bold;
    cursor: pointer;
    font-size: 14px;
}

.zv-help-info {
    font-size: 12px;
    font-weight: normal;
    color: #333;
    line-height: 30px;
}

.zv-help-info .icon {
    color: var(--basic-color);
    font-size: 11px;
    margin-right: 3px;
}

.zv-help-info h2 {
    font-size: 14px;
    position: relative;
    padding-left: 10px;
    margin-top: 20px;
}

.zv-help-info h2:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    margin-top: -7px;
    width: 3px;
    height: 15px;
    border-radius: 4px;
    background: var(--basic-color);
}

.zv-help-info li {
    padding-left: 10px;
}

.zv-help-dialog .el-dialog__header {
    border-bottom: none;
}

.zv-help-dialog .el-dialog__body {
    padding: 0 20px 20px;
    max-height: 560px;
    overflow-y: auto;
}

.zv-help-dialog .el-dialog__title{
    padding-left: 6px;
}

.zv-help-dialog .el-dialog__title:before {
    content: "\e7a4";
    margin-right: 2px;
}

.zv-help-dialog .el-dialog__headerbtn{
    border-radius: 30px;
    border: 1px solid var(--basic-color);
    width: 28px;
    height: 28px;
}
.zv-help-dialog .el-dialog__headerbtn .el-dialog__close {
    color: var(--basic-color);
}
/* help-end */


.page_toolbar {
    overflow: hidden;
    padding: 5px 10px;
    margin: 0 auto;
}

.page_toolbar .add i {
    color: #13cd66
}

.page_toolbar .del i {
    color: #3685f2
}

.page_toolbar .handleStyle {
    font-size: 16px;
    cursor: pointer;
    margin-right: 25px;
    float: left;
}

.page_toolbar .handleStyle span {
    font-size: 14px;
}

.page_toolbar .handleStyle:hover {
    color: #409eff
}

.page_toolbar .search {
    float: right
}

.page_toolbar .search .el-input{
    width: auto;
}


/* el-pagination */
.el-pagination {
    text-align: center;
    font-family: "PingFang SC Regular";
    color: #606266;
    font-weight: normal;
}

.el-pagination__total {
    color: #5f6267;
}

.el-pagination__editor.el-input {
    width: 60px;
}

.el-pagination .el-input__inner {
    width: 100%;
}

.el-pagination .el-select .el-input {
    width: 88px;
}

.el-pagination button, .el-pagination span:not([class*=suffix]) {
    font-size: 12px;
}

.el-pager {
    color: #606266;
}

.el-pager li.btn-quicknext {
    color: #606266;
}
/* el-pagination */

/* form */
.zv-search-form .el-input {
    width: 140px;
}

.zv-search-form .el-input--suffix {
    width: 140px;
}

.zv-search-form .el-input--suffix.el-date-editor--datetime {
    width: 175px;
}

.zv-search-form .el-range-editor {
    width: 210px;
}

.zv-search-form .el-form-item--mini.el-form-item,
.zv-search-form .el-form-item--small.el-form-item {
    margin-top: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
    vertical-align: middle;
}

.zv-search-form .el-form-item__label {
    font-size: 12px;
    padding: 0 5px 0 0;
}

.zv-search-form .el-button,
.zv-search-form .el-button--mini,
.zv-search-form .el-button--mini.is-round,
.el-button--mini, .el-button--mini.is-round {
    padding: 7px 10px;
    height: 28px;
}

.zv-search-form .el-button + .el-button {
    margin-left: 5px;
}

.el-button [class*=" el-icon-"], .el-button [class^="el-icon-"] {
    font-weight: 600;
}

.el-tabs__header {
    margin: 0 0 5px;
}

.el-tabs__nav-wrap::after {
    height: 1px;
    background-color: #ddd;
}

.body_content li.el-time-spinner__item {
    text-align: center;
}

/*tabs*/
.zv-el-tabs .el-tabs__header .el-tabs__nav {
    border: none !important;
}

.zv-el-tabs > .el-tabs__header .el-tabs__item {
    margin-right: 10px;
    border-right: 1px solid #e4e7ed;
    border-top: 1px solid #e4e7ed;
    border-bottom: 1px solid #e4e7ed;
    border-radius: 4px 4px 0 0;
    background: rgba(250, 250, 252, 1);
}

@media screen and (max-width: 1200.98px) {
    .zv-el-tabs > .el-tabs__header .el-tabs__item {
        font-size: 12px;
    }
}

.zv-el-tabs > .el-tabs__header .el-tabs__item.is-active {
    background: rgba(255, 255, 255, 1);
    color: #4067e9;
}

.zv-el-tabs > .el-tabs__header .el-tabs__item:first-child {
    border-left: 1px solid #e4e7ed;
}

.zv-blue-btn {
    background-color: #4475fd;
    border-color: #4475fd;
}

.zv-blue-btn.el-button--primary:focus {
    background-color: #4475fd;
    border-color: #4475fd;
}

.zv-el-tabs-vh {
    height: 100%;
}

.zv-el-tabs-vh > * {
    box-sizing: border-box;
}

.zv-el-tabs-vh > .el-tabs__header {
    margin-bottom: 0;
    border-bottom: none;
}

.zv-el-tabs-vh > .el-tabs__content {
    height: calc(100% - 40px);
    border: 1px solid #e4e7ed;
    background: #fff;
    overflow-y: auto;
}
.zv-el-tabs-vh > .el-tabs__content .el-tab-pane {
    height: 100%;
}

/* table */
.zv-el-table {
    width: 100%;
    font-size: 12px;
}

.zv-el-table td {
    padding: 5px 0;
}

.zv-el-table.el-table th {
    padding: 7px 0;
    color: #333;
}

.zv-el-table.el-table th > .cell {
    line-height: 15px;
}

.zv-el-table-border {
    border-top: 1px solid #EBEEF5;
}

.zv-el-table-border.el-table th,
.el-table th,
.el-table thead.is-group th.el-table__cell {
    background: var(--table-head-color);
}

.el-table th.el-table__cell>.cell {
    word-break: break-word;
}

.el-table th.el-table__cell>.cell.highlight {
    color: var(--table-active-color) !important;
}

.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__cell {
    background: var(--table-active-color) !important;
}

.el-table--border .el-table__cell, .el-table__body-wrapper .el-table--border.is-scrolling-left~.el-table__fixed {
    border-right: 1px solid #ddd;
}

.el-table--border th.el-table__cell, .el-table__fixed-right-patch {
    border-bottom: 1px solid #ddd;
}

/* dialog */
.el-dialog {
    border-radius: 8px;
    box-shadow: 0px 1px 5px 0px rgba(125,125,125,0.5);
}

.el-dialog__title {
    font-size: 14px;
    font-family: element-icons!important;
}

.el-dialog__body {
    padding: 10px;
}

.el-dialog__header {
    border-bottom: 1px solid #dcdfe6;
    padding: 10px;
}

.el-dialog__headerbtn {
    top: 15px;
}

.el-dialog__footer {
    padding: 10px;
    border-top: 1px solid #dcdfe6;
}

.ajax-loading-mask {
    z-index: 2001;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.l-grid-loading {
    font-size: 14px;
    color: #999;
    position: absolute;
    z-index: 91000;
    border: none;
    top: 40%;
    left: 50%;
    padding-left: 38px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 10px;
    margin-left: -60px;
    display: none;
    background: none;
    background-color: #fff;
    flex-direction: row;
    align-items: center;
    line-height: 1;
    left: 50%;
    transform: translateX(-50%);
    padding: 5px 21px;
    margin: 0;
    border-radius: 2px;
}
@-webkit-keyframes loading-rotate {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes loading-rotate {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-webkit-keyframes loading-dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -40px;
    }
    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -120px;
    }
}
@keyframes loading-dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
    }
    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -40px;
    }
    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -120px;
    }
}
.l-grid-loading .loading-svg {
    width: 25px;
    height: 25px;
    margin-right: 8px;
}

.l-grid-loading svg {
    animation: loading-rotate 2s linear infinite;
}

.l-grid-loading .path {
    animation: loading-dash 1.5s ease-in-out infinite;
    stroke-dasharray: 90, 150;
    stroke-dashoffset: 0;
    stroke-width: 4;
    stroke: #409eff;
    stroke-linecap: round;
}

.ajax-loading-mask .l-grid-loading {
    display: flex;
}

.el-form-item.is-required .el-form-item__label:before {
    content: "*";
    color: #f56c6c;
    margin-right: 4px;
}
.el-button--primary.is-disabled,
.el-button--primary.is-disabled:active,
.el-button--primary.is-disabled:focus,
.el-button--primary.is-disabled:hover {
    background: #dcdfe6;
    border-color: #dcdfe6;
}

.el-message-box__btns .el-button--default {
    float: right;
    margin-left: 10px;
}

.el-button .iconfont {
    font-size: 13px;
}

.cell .el-button--text {
    color: var(--link-color);
    font-size: 12px;
    padding: 0;
}

.el-button--text {
    color: var(--basic-color);
}

.el-radio.is-bordered.is-checked {
    border: 1px solid var(--basic-color);
}

.el-radio__input.is-checked+.el-radio__label {
    color: var(--basic-color);
}

.fieldset {
    position: relative;
    border: 1px solid #ddd;
    padding: 20px 20px 0 0;
    border-radius: 4px;
    margin-bottom: 20px;
}
.fieldset .field-title {
    position: absolute;
    left: 10px;
    top: -14px;
    padding: 0 10px;
    display: inline-block;
    background: #fff;
}

#page-wrapper.admin-main {
    margin: 0;
}

/*滚动条*/

/*::scrollbar {
  width: 8px;
  height: 8px;
  background-color: #fefefe;
}

::scrollbar-track {
  background-color: #fefefe;
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.4);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.4);
}

::scrollbar-track:hover {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.4);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.4);
  background-color: #fefefe;
}

::scrollbar-track:active {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.4);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.4);
  background-color: #f0f0f0;
}

::scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  -webkit-box-shadow: inset 1px 1px 0 rgba(0, 0, 0, 0.1);
          box-shadow: inset 1px 1px 0 rgba(0, 0, 0, 0.1);
}

::scrollbar-thumb:hover {
  background-color: rgba(0, 0, 0, 0.4);
  -webkit-box-shadow: inset 1px 1px 0 rgba(0, 0, 0, 0.1);
          box-shadow: inset 1px 1px 0 rgba(0, 0, 0, 0.1);
}

::scrollbar-thumb:active {
  background: rgba(0, 0, 0, 0.6);
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-thumb {
  background-color: #c2c2c2;
  background-clip: content-box;
  border-top: 5px solid rgba(255, 255, 255, 0);
  border-bottom: 5px solid rgba(255, 255, 255, 0);
  border-right: 4px solid rgba(255, 255, 255, 0);
}

::-webkit-scrollbar-track {
  background-color: rgba(0, 0, 0, 0);
} */

/* theme */
/* .scrollbar:not(.normal-scroll)::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.scrollbar:not(.normal-scroll)::-webkit-scrollbar-thumb {
  background: #c2c2c2;
  min-height: 150px;
  min-width: 150px;
  border-radius: 10px;
}

.scrollbar:not(.normal-scroll)::-webkit-scrollbar-track-piece {
  background-color: rgba(0, 0, 0, 0);
  margin: -2px;
}

.scrollbar:not(.normal-scroll)::-webkit-scrollbar-corner, .el-table ::-webkit-resizer {
  background-color: rgba(0, 0, 0, 0);
}

.scrollbar:not(.normal-scroll) div::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.scrollbar:not(.normal-scroll) div::-webkit-scrollbar-thumb {
  background: #c2c2c2;
  min-height: 150px;
  min-width: 150px;
  border-radius: 10px;
}

.scrollbar:not(.normal-scroll) div::-webkit-scrollbar-track-piece {
  background-color: rgba(0, 0, 0, 0);
  margin: -2px;
}

.scrollbar:not(.normal-scroll) div::-webkit-scrollbar-corner, .el-table ::-webkit-resizer {
  background-color: rgba(0, 0, 0, 0);
} */